Đến nội dung


Hình ảnh

nhờ các bác giúp đỡ viết lip


  • Please log in to reply
2 replies to this topic

#1 archuyhoang

archuyhoang

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 18 April 2015 - 11:12 PM

em không biết viết lip. nhưng có 1 ý tưởng thế này. bác nào giúp em với nhé.

em thường xuyên vẽ cad. khi vẽ thường sử dụng khoảng 9 layer
việc đổi layer bằng lênh laycui.  ( đã đặt lệnh tắt ) nhưng thực sư chưa nhanh
em muốn nhanh hơn
giả sử em có 9 layer từ 1 đến 9 ( em đã thuộc 9 cai này )
em muốn đặt lệnh 
r1 - goi tên layer 1
r2 - gọi tên layer 2 
.........................

tương tự như vậy.
các bác giúp em với ạ.. 

các bác viết líp cứ đặt tên . em về em sửa lip theo tên laye r của em ạ. 
em chan thành cảm ơn các bác nhiều lắm

 


  • 0

#2 dckonhi1987

dckonhi1987

    biết zoom

  • Members
  • Pip
  • 16 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 19 April 2015 - 10:38 AM

em không biết viết lip. nhưng có 1 ý tưởng thế này. bác nào giúp em với nhé.

em thường xuyên vẽ cad. khi vẽ thường sử dụng khoảng 9 layer
việc đổi layer bằng lênh laycui.  ( đã đặt lệnh tắt ) nhưng thực sư chưa nhanh
em muốn nhanh hơn
giả sử em có 9 layer từ 1 đến 9 ( em đã thuộc 9 cai này )
em muốn đặt lệnh 
r1 - goi tên layer 1
r2 - gọi tên layer 2 
.........................

tương tự như vậy.
các bác giúp em với ạ.. 

các bác viết líp cứ đặt tên . em về em sửa lip theo tên laye r của em ạ. 
em chan thành cảm ơn các bác nhiều lắm

Hình như bạn muốn thế này.

;Chuyen LAYER nhanh
(defun c:1 () (ssget) (command "change" "p" "" "p" "la" "1" ""))
(defun c:2 () (ssget) (command "change" "p" "" "p" "la" "2" ""))
(defun c:3 () (ssget) (command "change" "p" "" "p" "la" "3" ""))
(defun c:4 () (ssget) (command "change" "p" "" "p" "la" "4" ""))
(defun c:5 () (ssget) (command "change" "p" "" "p" "la" "5" ""))
(defun c:6 () (ssget) (command "change" "p" "" "p" "la" "6" ""))
(defun c:7 () (ssget) (command "change" "p" "" "p" "la" "7" ""))
(defun c:8 () (ssget) (command "change" "p" "" "p" "la" "8" ""))
(defun c:9 () (ssget) (command "change" "p" "" "p" "la" "9" ""))

  • 1

#3 archuyhoang

archuyhoang

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 19 April 2015 - 03:50 PM

 

Hình như bạn muốn thế này.

;Chuyen LAYER nhanh
(defun c:1 () (ssget) (command "change" "p" "" "p" "la" "1" ""))
(defun c:2 () (ssget) (command "change" "p" "" "p" "la" "2" ""))
(defun c:3 () (ssget) (command "change" "p" "" "p" "la" "3" ""))
(defun c:4 () (ssget) (command "change" "p" "" "p" "la" "4" ""))
(defun c:5 () (ssget) (command "change" "p" "" "p" "la" "5" ""))
(defun c:6 () (ssget) (command "change" "p" "" "p" "la" "6" ""))
(defun c:7 () (ssget) (command "change" "p" "" "p" "la" "7" ""))
(defun c:8 () (ssget) (command "change" "p" "" "p" "la" "8" ""))
(defun c:9 () (ssget) (command "change" "p" "" "p" "la" "9" ""))

 da em cam on bac ạ . 


  • 0